Upload Buildpack

Upload Buildpack
Upload buildpack bits

Upload a zip file containing a Cloud Foundry compatible buildpack. The file must be sent as part of a multi-part form.

Request
URI
POST
https://api.example.local/v3/buildpacks/{guid}/upload
COPY
Path Parameters
string
guid
Required

The unique identifier for the resource


Request Body

The buildpack file to be uploaded

File of type(s) multipart/form-data
Required
{
    "bits": "string",
    "resources": [
        {
            "path": "string",
            "size_in_bytes": 0,
            "checksum": {
                "value": "string"
            }
        }
    ]
}
string As binary As binary
bits
Optional

bits

array of object
resources
Optional

resources

Authentication
This operation uses the following authentication methods.
Responses
200

Successfully uploaded buildpack

Returns Buildpack of type(s) application/json
This response body class contains all of the following: BaseSchema
{
    "guid": "string",
    "created_at": "string",
    "updated_at": "string",
    "name": "string",
    "state": "string",
    "stack": "string",
    "lifecycle": "string",
    "position": 0,
    "enabled": false,
    "locked": false,
    "filename": "string",
    "metadata": {
        "labels": {
            "labels": "string"
        },
        "annotations": {
            "annotations": "string"
        }
    },
    "links": {
        "self": {
            "href": "string",
            "method": "string"
        },
        "upload": {
            "href": "string",
            "method": "string"
        }
    }
}

202

Upload initiated

Returns Buildpack of type(s) application/json
This response body class contains all of the following: BaseSchema
{
    "guid": "string",
    "created_at": "string",
    "updated_at": "string",
    "name": "string",
    "state": "string",
    "stack": "string",
    "lifecycle": "string",
    "position": 0,
    "enabled": false,
    "locked": false,
    "filename": "string",
    "metadata": {
        "labels": {
            "labels": "string"
        },
        "annotations": {
            "annotations": "string"
        }
    },
    "links": {
        "self": {
            "href": "string",
            "method": "string"
        },
        "upload": {
            "href": "string",
            "method": "string"
        }
    }
}

Response Headers

string
Location

URL of the job tracking the upload


401

Unauthorized

Returns Unauthorized of type(s) application/json
{
    "errors": [
        {
            "code": 0,
            "detail": "string",
            "title": "string"
        }
    ]
}
array of object
errors
Optional

errors


403

Forbidden

Returns Forbidden of type(s) application/json
{
    "errors": [
        {
            "code": 0,
            "detail": "string",
            "title": "string"
        }
    ]
}
array of object
errors
Optional

errors


404

Not Found

Returns NotFound of type(s) application/json
{
    "errors": [
        {
            "code": 0,
            "detail": "string",
            "title": "string"
        }
    ]
}
array of object
errors
Optional

errors


422

Unprocessable Entity

Returns UnprocessableEntity of type(s) application/json
{
    "errors": [
        {
            "code": 0,
            "detail": "string",
            "title": "string"
        }
    ]
}
array of object
errors
Optional

errors


Code Samples
COPY
                    curl -X POST -H 'Authorization: <value>' -H 'Content-Type: multipart/form-data' -d '{}' https://{api_host}/v3/buildpacks/{guid}/upload